#if !defined(AFX_CLIENTSOCKET_H__5D78F6D7_0A57_4E20_B57F_190EAF063068__INCLUDED_)
#define AFX_CLIENTSOCKET_H__5D78F6D7_0A57_4E20_B57F_190EAF063068__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ClientSocket.h : header file
//
enum
{
CLI_SOCK_CONNECT = (WM_USER+1)
};

class CClientDlg;

/////////////////////////////////////////////////////////////////////////////
// CClientSocket command target

class CClientSocket : public CAsyncSocket
{
// Attributes
protected:
	CClientDlg* m_pDlg;
	HWND m_hwnd_connect;
	char* m_buf;
	size_t m_buf_size, m_buf_used;

// Operations
public:
	CClientSocket();
	virtual ~CClientSocket();

	void SetDialog(CClientDlg* p)	{		m_pDlg = p;	}

// Overrides
public:
	BOOL Connect(HWND hWnd, LPCTSTR lpszHostAddress, UINT nHostPort);
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CClientSocket)
	public:
	virtual void OnConnect(int nErrorCode);
	virtual void OnReceive(int nErrorCode);
	virtual void OnClose(int nErrorCode);
	//}}AFX_VIRTUAL

	// Generated message map functions
	//{{AFX_MSG(CClientSocket)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

// Implementation
protected:
	int HandlePack();
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CLIENTSOCKET_H__5D78F6D7_0A57_4E20_B57F_190EAF063068__INCLUDED_)
