//{{AFX_INCLUDES()
#include "mmbox.h"
//}}AFX_INCLUDES
#if !defined(AFX_CLIENTDLG_H__83489EEF_F308_424D_9029_5A11D572A127__INCLUDED_)
#define AFX_CLIENTDLG_H__83489EEF_F308_424D_9029_5A11D572A127__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ClientDlg.h : header file
//

#include "clientSocket.h"

/////////////////////////////////////////////////////////////////////////////
// CClientDlg dialog

class CClientDlg : public CDialog
{
	CClientSocket& m_sock;

	long m_obj_source;
	I_source* m_source;
	long m_obj_play;
	long m_obj_audc;
	long m_obj_writer;

	bool m_bMute;
	bool m_bSave;
	CString m_saveto;

// Construction
public:
	void OnSocketClose();
	void OnSocketReceive(Packet* pkt);

	CClientDlg(CClientSocket& sock, CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CClientDlg)
	enum { IDD = IDD_CLIENT_DIALOG };
	CListBox	m_files;
	Cmmbox	m_mmb;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CClientDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CClientDlg)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnPlay();
	afx_msg void OnClickMute();
	afx_msg void OnClickSave();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

protected:
	void UpdateFileList(Packet* pkt);
	void OpenPlayer(WAVEFORMATEX* wfx);
	void ShowError(BYTE code);
	void ShowError(LPCTSTR desc);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CLIENTDLG_H__83489EEF_F308_424D_9029_5A11D572A127__INCLUDED_)
